通話中に音声合成を再生する
このコード・スニペットは、指定された呼び出しに音声合成メッセージを再生する。
例
サンプルコードの以下の変数を置き換える:
| キー | 説明 |
|---|---|
VOICE_CALL_ID | The UUID of the call leg. |
VOICE_TEXT | The text of the message to play into the call. |
VOICE_LANGUAGE | Language to use for the speech - see Supported Languages. |
Prerequisites
Execute the following command at your terminal prompt to create the JWT for authentication:
export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)Write the code
Add the following to play-tts-into-a-call.sh:
curl -X PUT https://api.nexmo.com/v1/calls/$VOICE_CALL_ID/talk\
-H "Authorization: Bearer $JWT"\
-H "Content-Type: application/json"\
-d '{"text": "'"$VOICE_TEXT"'", "language": "'"$VOICE_LANGUAGE"'"}'Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named play-tts-into-a-call.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to play-tts-into-a-call.js:
vonage.voice.playTTS(
VOICE_CALL_ID,
{
action: 'talk',
text: VOICE_TEXT,
language: 'en-US',
})
.then((resp) => console.log(resp))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a class named PlayTextToSpeechIntoCall and add the following code to the main method:
Write the code
Add the following to the main method of the PlayTextToSpeechIntoCall class:
Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing PlayTextToSpeechIntoCall:
Prerequisites
Add the following to build.gradle:
Create a class named SendTalkToCall and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the SendTalkToCall class:
var payload = TalkPayload.builder(VOICE_TEXT).language(VOICE_LANGUAGE).build();
client.getVoiceClient().startTalk(VOICE_CALL_ID, payload);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing SendTalkToCall:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientWrite the code
Add the following to index.php:
require_once __DIR__ . '/../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH), VONAGE_APPLICATION_ID);
$client = new \Vonage\Client($keypair);
$action = new \Vonage\Voice\NCCO\Action\Talk(TEXT);
$action->setLanguage('en-US');
$client->voice()->playTTS(
UUID,
$action
);Run your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install sinatra sinatra-contribRun your code
Save this file to your machine and run it:
試してみる
コードを実行すると、指定されたUUIDで識別される通話に音声合成メッセージが再生される。
さらに読む
- 電話会議 - このガイドでは、Vonageが通話に関連付ける2つの概念、レグと会話について説明します。